All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
vandermonde_matrix_operations.hpp File Reference

Implementations of operations using vandermonde_matrix. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/ocl/backend.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/fft.hpp"`
`#include "viennacl/linalg/opencl/kernels/fft.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::opencl
| Holds all routines providing OpenCL linear algebra operations.

## Functions

template<typename NumericT , unsigned int AlignmentV>
void | viennacl::linalg::opencl::prod_impl (viennacl::vandermonde_matrix< NumericT, AlignmentV > const &A, viennacl::vector_base< NumericT > const &x, viennacl::vector_base< NumericT > &y)
| Carries out matrix-vector multiplication with a vandermonde_matrix. More...

## Detailed Description

Implementations of operations using vandermonde_matrix.

Definition in file vandermonde_matrix_operations.hpp.